> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donnajames.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch list of Sources

> Fetch the list of sources for a chatbot specified by chatbot uuid

### Path

**uuid** `string` *required*

### Response

Source list

**Source properties**

**uuid** `string`

**created\_at** `string`

**modified\_at** `string`

**title** `string`

**tokens** `string`

**file\_size** `string`

**file\_name** `string`

**type** `string`

**status** `string`

**meta\_json** `string`

```bash Curl
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-sources' \
--header 'Authorization: Bearer <token>'
```

```py Python
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}/data-sources'
headers = {
    'Authorization': 'Bearer <token>'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
```

```ts JavaScript
const axios = require('axios');

const uuid = '<chatbot-uuid>'
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}/data-sources`;
const headers = {
    'Authorization': 'Bearer <token>'
};

axios.get(url, { headers })
    .then(response => {
        console.log('Request successful!');
        console.log(response.data);
    })
    .catch(error => {
        console.error('Request failed:', error);
    });
```

```json Response
[
  {
    "created_at": "string",
    "file_name": "string",
    "file_size": 0,
    "meta_json": "string",
    "modified_at": "string",
    "status": "string",
    "title": "string",
    "tokens": 0,
    "type": "string",
    "uuid": "string"
  }
]

```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.